/*----------------genealogy-scroll----------*/

#org-dgdn .genealogy-scroll::-webkit-scrollbar {
    width: 5px;
    height: 8px;
}

#org-dgdn .genealogy-scroll::-webkit-scrollbar-track {
    border-radius: 10px;
    background-color: #e4e4e4;
}

#org-dgdn .genealogy-scroll::-webkit-scrollbar-thumb {
    background: #212121;
    border-radius: 10px;
    transition: 0.5s;
}

#org-dgdn .genealogy-scroll::-webkit-scrollbar-thumb:hover {
    background: #d5b14c;
    transition: 0.5s;
}


/*----------------genealogy-tree----------*/
#org-dgdn .genealogy-body {

    white-space: normal;
    overflow-y: hidden;
    /* padding: 50px; */
    min-height: 100px;
    padding-top: 10px;
}

#org-dgdn .genealogy-tree ul {
    padding-top: 20px;
    position: relative;
    display: flex;
    /* padding-left: 0px; */
}

[dir='ltr'] #org-dgdn .genealogy-tree ul {
    padding-left: 0px;
}

[dir='rtl'] #org-dgdn .genealogy-tree ul {
    padding-right: 0px;
}

#org-dgdn .genealogy-tree li {
    /* float: left; */
    text-align: center;
    list-style-type: none;
    position: relative;
    padding: 20px 5px 0 5px;
}

[dir='ltr'] #org-dgdn .genealogy-tree li {
    float: left;
}

[dir='rtl'] #org-dgdn .genealogy-tree li {
    float: right;
}



#org-dgdn .genealogy-tree li::before,
#org-dgdn .genealogy-tree li::after {
    content: '';
    position: absolute;
    top: 0;
    border-top: 2px solid #ccc;
    width: 50%;
    height: 18px;
    /* right: 50%; */
}

[dir='ltr'] #org-dgdn .genealogy-tree li::before,
[dir='ltr'] #org-dgdn .genealogy-tree li::after {
    right: 50%;
}

[dir='rtl'] #org-dgdn .genealogy-tree li::before,
[dir='rtl'] #org-dgdn .genealogy-tree li::after {
    left: 50%;
}

/* #org-dgdn .genealogy-tree li::after {
    right: auto;
    left: 50%;
    border-left: 2px solid #ccc;
} */

[dir='ltr'] #org-dgdn .genealogy-tree li::after {
    right: auto;
    left: 50%;
    border-left: 2px solid #ccc;
}

[dir='rtl'] #org-dgdn .genealogy-tree li::after {
    left: auto;
    right: 50%;
    border-right: 2px solid #ccc;
}

#org-dgdn .genealogy-tree li:only-child::after,
#org-dgdn .genealogy-tree li:only-child::before {
    display: none;
}

#org-dgdn .genealogy-tree li:only-child {
    padding-top: 0;
}

#org-dgdn .genealogy-tree li:first-child::before,
#org-dgdn .genealogy-tree li:last-child::after {
    border: 0 none;
}

[dir='ltr'] #org-dgdn .genealogy-tree li:last-child::before {
    border-right: 2px solid #ccc;
    border-radius: 0 5px 0 0;
    -webkit-border-radius: 0 5px 0 0;
    -moz-border-radius: 0 5px 0 0;
}

[dir='rtl'] #org-dgdn .genealogy-tree li:last-child::before {
    border-left: 2px solid #ccc;
    border-radius: 5px 0 0 0;
    -webkit-border-radius: 5px 0 0 0;
    -moz-border-radius: 5px 0 0 0;
}

[dir='ltr'] #org-dgdn .genealogy-tree li:first-child::after {
    border-radius: 5px 0 0 0;
    -webkit-border-radius: 5px 0 0 0;
    -moz-border-radius: 5px 0 0 0;
}

[dir='rtl'] #org-dgdn .genealogy-tree li:first-child::after {
    border-radius: 0 5px 0 0;
    -webkit-border-radius: 0 5px 0 0;
    -moz-border-radius: 0 5px 0 0;
}

#org-dgdn .genealogy-tree ul ul::before {
    content: '';
    position: absolute;
    top: 0;
    width: 0;
    height: 20px;
    /* left: 50%; */
    /* border-left: 2px solid #ccc; */
}

[dir='ltr'] #org-dgdn .genealogy-tree ul ul::before {
    left: 50%;
    border-left: 2px solid #ccc;
}

[dir='rtl'] #org-dgdn .genealogy-tree ul ul::before {
    right: 50%;
    border-right: 2px solid #ccc;
}

#org-dgdn .genealogy-tree li a {
    text-decoration: none;
    color: #666;
    font-family: arial, verdana, tahoma;
    /* font-size: 11px; */
    display: inline-block;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
}

#org-dgdn .genealogy-tree li h3 {
    font-size: 16px !important;
}

#org-dgdn .genealogy-tree li h3:hover {
    font-size: 16.5px !important;
}

#org-dgdn .genealogy-tree li a:hover+ul li::after,
#org-dgdn .genealogy-tree li a:hover+ul::before,
#org-dgdn .genealogy-tree li a:hover+ul ul::before,
[dir='ltr'] #org-dgdn .genealogy-tree li a:hover+ul li::before {
    border-color: red;
}

[dir='rtl'] #org-dgdn .genealogy-tree li a:hover+ul li::before {
    border-color: red;
}

/*--------------memeber-card-design----------*/
#org-dgdn .member-view-box {
    background-color: #1c4d31;
    font-family: 'Times New Roman', Times, serif;
    font-size: 12px;
    color: white;
    padding: 0px 5px;
    align-items: center;
    text-align: center;
    display: flex;
    border-radius: 4px;
    position: relative;
    border: 1px solid black;
    /* width: 1173px;
    height: 100px; */
    width: 100%;
    height: 100%;
}

#org-dgdn .member-view-box:hover {
    /* transform: scale(1.1); */
    background-color: aquamarine;
    font-size: 12.5px;
    color: black;
    transition-duration: 0.3s;
}

#org-dgdn .member-view-box-division {
    background-color: crimson;
    font-family: 'Times New Roman', Times, serif;
    font-size: 12px;
    color: white;
    padding: 0px 5px;
    align-items: center;
    text-align: center;
    display: flex;
    border-radius: 4px;
    position: relative;
    border: 1px solid black;
    width: 150px;
    height: 120px;
}

#org-dgdn .member-view-box-division:hover {
    /* transform: scale(1.1); */
    background-color: darksalmon;
    font-size: 12.5px;
    color: black;
    transition-duration: 0.3s;
}

#org-dgdn .member-view-box-direction {
    background-color: dodgerblue;
    font-family: 'Times New Roman', Times, serif;
    font-size: 12px;
    color: white;
    padding: 0px 5px;
    align-items: center;
    text-align: center;
    display: flex;
    border-radius: 4px;
    position: relative;
    border: 1px solid black;
    width: 150px;
    height: 120px;
}

#org-dgdn .member-view-box-direction:hover {
    /* transform: scale(1.1); */
    background-color: lightblue;
    font-size: 12.5px;
    color: black;
    transition-duration: 0.3s;
}

#org-dgdn .member-view-box-s-direction {
    background-color: darkorange;
    font-family: 'Times New Roman', Times, serif;
    font-size: 12px;
    color: white;
    padding: 0px 5px;
    align-items: center;
    text-align: center;
    display: flex;
    border-radius: 4px;
    position: relative;
    border: 1px solid black;
    width: 150px;
    height: 120px;
}

#org-dgdn .member-view-box-s-direction:hover {
    /* transform: scale(1.1); */
    background-color: khaki;
    font-size: 12.5px;
    color: black;
    transition-duration: 0.3s;
}

#org-dgdn .member-details {
    text-align: center;
}

#org-dgdn .member-image {
    width: 60px;
    position: relative;
}

#org-dgdn .member-image img {
    width: 60px;
    height: 60px;
    border-radius: 6px;
    background-color: #000;
    z-index: 1;
}

#org-dgdn .member-view-box .member-details h3 {
    white-space: normal;
    text-align: center !important;
}

#org-dgdn .member-view-box-division .member-details h3 {
    white-space: normal;
    text-align: center !important;
}

#org-dgdn .member-view-box-direction .member-details h3 {
    white-space: normal;
    text-align: center !important;
}

#org-dgdn .member-view-box-s-direction .member-details h3 {
    white-space: normal;
    text-align: center !important;
}

#org-dgdn .member-view-box-s-direction .member-details h3 {
    white-space: normal;
    text-align: center !important;
}

#voir_plus {
    text-align: right;
    font-size: 20px;
}

#voir_plus:hover {

    text-decoration: underline;
    color: red;

}